Subject: Re: [Asrg] Re: 6 - Designated Relays Inquiry Protocol (DRIP)

From: Yakov Shafranovich <[email-masked]>
Date: Sun, 29 Jun 2003 15:16:06 -0400

At 11:11 AM 6/29/2003 -0400, Richard Rognlie wrote:

>On Sun, Jun 29, 2003 at 02:55:33PM -0400, Yakov Shafranovich wrote:
> > At 01:21 PM 6/28/2003 -0400, Raymond S Brand wrote:
> >
> > >The June 24 DRIP document has a problem with the use of DNS
> > >wildcard records. Attached is an updated DRIP document and
> > >a diff of the important changes between the two documents.
> > >[..]
> > >
> > >   The Designated Relays Inquiry Protocol, DRIP, is a method for domain
> > >   name owners to specify the IP addresses that are authorized to relay
> > >   mail as a domain name in the SMTP HELO and EHLO commands. The
> > >   protocol provides a method for server MTAs to reject SMTP connections
> > >   from IP addresses not authorized to use the domain name given in the
> > >   SMTP HELO and EHLO commands.
> > >[..]
> >
> > How is this proposal different from RMX proposal by Hadmut Danisch
> > (http://www.ietf.org/internet-drafts/draft-danisch-dns-rr-smtp-02.txt) and
> > the various other rDNS proposals (see Mike Rubel's page at
> > http://www.mikerubel.org/computers/rmx_records/).
>
>RMX (et al) deal with the envelope from address.  This proposal has
>nothing to do with the envelope.  It is an attempt to sanitize the
>hostname specified as the HELO/EHLO when connecting to a remote
>MTA.
>[..]

Dealing with the return envelope has its own problems (DSN messages with 
empty MAIL FROM <>) so it seems that dealing with the HELO/EHLO is better. 
BUT, the bottom line is that both proposals are DNS based and propose 
additional DNS records. Whether the filtering is done on HELO/EHLO level or 
return envelope is something to be left to the implementators. Both 
proposals are basically the same - they are mandating DNS records.

Yakov

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Raymond S Brand <[email-masked]>
Date: Mon, 30 Jun 2003 12:50:54 -0400

Please do NOT copy me on mail sent to the ASRG list.

> At 11:11 AM 6/29/2003 -0400, Richard Rognlie wrote:
...
> proposals are basically the same - they are mandating DNS records.

Both proposals require a database where domain name owners can declare
which IP addresses may use the domain name and how those IPs may use it;
DNS is a natural choice here.

Raymond S Brand